Subject: [LON-CAPA-dev] perl modules ImageMagick, SSL, XSLT

From: Scott Harrison <[email-masked]>
Date: Thu, 09 May 2002 14:45:14 -0400

Dear All:

CPAN perl module addition plans (also described in bugzilla).

******** Image::Magick
Image::Magick from CPAN requires ImageMagick version 5.4.1.
Whereas RH7.2 only has version 5.3.8.  (I seem to recall
that I could not successfully install ImageMagick 5.4.1 on
RH7.2; because I had looked into Image::Magick and responded
to one of you 1+ months ago.)

There is also an Apache::ImageMagick which installed
well on spock.  It was not packaged with testing however.
(So one of you could test it?  "Test it I will" says Yoda;
this is YOUR chance to be Yoda!).

Anyways, a decision needs to be made here, but all I
am offering to do is help package it in systemperl.

******** SSL  (cpan modules, NetLeay and Authen::PAM or whatever they
are
called)
After some tests
I plan to support webmin (vanilla sysadmin) through
a 'miniserv' webserver (keeping it separate from Apache)
and having it, by default,
* run as SSL
* only be accessible to localhost (and perhaps perhaps perhaps
  a remote trusted machine)

(Lynx would likely be used.)

I feel that this solution supports:
* many ways to stop system admins from messing up their server
* many options for flexible accessibility to the administration
  of a LON-CAPA server

********* XML::Xalan
I see a need for LON-CAPA to be supporting XML/XSLT within
the server software.  This way we can be part of a metanetwork
of standards and formal protocols....  Compiling it was
a little bit of an adventure (documented in nsdl/doc).

Regards,
Scott